> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Fiscal Year Start Month



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json post /admin_api/manual_task/update_fiscal_year_start_month
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /admin_api/manual_task/update_fiscal_year_start_month:
    post:
      tags:
        - admin_manual_tasks
        - quanta-services-api
      summary: Update Fiscal Year Start Month
      operationId: update_fiscal_year_start_month
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateFiscalYearStartMonthRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateFiscalYearStartMonthResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateFiscalYearStartMonthRequest:
      properties:
        fiscal_year_start_month:
          $ref: '#/components/schemas/Month'
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
      additionalProperties: false
      type: object
      required:
        - fiscal_year_start_month
      title: UpdateFiscalYearStartMonthRequest
    UpdateFiscalYearStartMonthResponse:
      properties:
        fiscal_year_start_month:
          type: integer
          title: Fiscal Year Start Month
      type: object
      required:
        - fiscal_year_start_month
      title: UpdateFiscalYearStartMonthResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Month:
      type: integer
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
      title: Month
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.